Package com.opensymphony.module.sitemesh.multipass

# Class MultipassFilter

java.lang.Object
com.opensymphony.sitemesh.webapp.SiteMeshFilter
com.opensymphony.module.sitemesh.multipass.MultipassFilter

All Implemented Interfaces:
  `javax.servlet.Filter`

public class MultipassFilter extends SiteMeshFilter

## Constructor Summary

Constructors
Constructor
Description
`MultipassFilter()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`writeDecorator(javax.servlet.http.HttpServletResponse response, Page page, javax.servlet.RequestDispatcher dispatcher, javax.servlet.http.HttpServletRequest request)`

### Methods inherited from class com.opensymphony.sitemesh.webapp.SiteMeshFilter

`destroy, doFilter, init, initContentProcessor, initDecoratorSelector`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultipassFilter

public MultipassFilter()

## Method Details

### writeDecorator

protected void writeDecorator(javax.servlet.http.HttpServletResponse response, Page page, javax.servlet.RequestDispatcher dispatcher, javax.servlet.http.HttpServletRequest request) throws javax.servlet.ServletException, IOException

Throws:
  `javax.servlet.ServletException`
  `IOException`